local _, core = ...; -- Namespace

local AceGUI = LibStub("AceGUI-3.0")


function core.GrindMounts(container)



-- Shadowlands Tab
local function DrawGroup1(container)
 
core.ArgentTournamentGrindMounts(container)

end

-- BFA Tab
local function DrawGroup2(container)

core.HorrificVisionsVendorsGrindMounts(container)

end

-- Legion Tab
local function DrawGroup3(container)

core.IslandExpeditionsGrindMounts(container)

end

-- Wod Tab
local function DrawGroup4(container)

core.IslandExpeditionsVendorsGrindMounts(container)

end

-- Mop Tab
local function DrawGroup5(container)

core.ServiceMedalsGrindMounts(container)

end





local function SelectGroup(container, event, group)
   container:ReleaseChildren()
   if group == "tab1" then
      DrawGroup1(container)
   elseif group == "tab2" then
      DrawGroup2(container)
   
      elseif group == "tab3" then
      DrawGroup3(container)
   
      elseif group == "tab4" then
      DrawGroup4(container)
   
      elseif group == "tab5" then
      DrawGroup5(container)

   
   end
end


local frame = AceGUI:Create("Frame")
frame:SetTitle("Grind Mounts")
frame:SetStatusText("|cff00C78CWorthIt-Guides")
frame:SetWidth(400)
frame:SetHeight(500)
frame:SetCallback("OnClose", function(widget) AceGUI:Release(widget) end)


frame:SetLayout("Fill")





local tab =  AceGUI:Create("TabGroup")
tab:SetLayout("Flow")
tab:SetTabs({{text="Argent Tournament", value="tab1"}, {text="Horrific Visions", value="tab2"}, {text="Island Expeditions", value="tab3"}, {text="Island Expeditions - Vendors", value="tab4"}, {text="Service Medals", value="tab5"}})
tab:SetCallback("OnGroupSelected", SelectGroup)
tab:SelectTab("tab1")

frame:AddChild(tab)











end